EditorReportSeverity (Gradle API 7.6.3)

Package org.gradle.tooling.model.kotlin.dsl

## Enum EditorReportSeverity

- java.lang.Object
- - java.lang.Enum<EditorReportSeverity>
  - - org.gradle.tooling.model.kotlin.dsl.EditorReportSeverity

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EditorReportSeverity>`

      public enum EditorReportSeverity
      extends java.lang.Enum<EditorReportSeverity>

  Severity of an editor report.
  Since:
    6.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` |
    `WARNING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EditorReportSeverity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EditorReportSeverity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WARNING

          public static final EditorReportSeverity WARNING

    - #### ERROR

          public static final EditorReportSeverity ERROR

  - ### Method Detail

    - #### values

          public static EditorReportSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditorReportSeverity c : EditorReportSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditorReportSeverity valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null